import { RemissionStore } from './remission.store';
import { TestBed } from '@angular/core/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RemissionReturnReceiptService } from '../services';

describe('RemissionStore', () => {
  let store: InstanceType<typeof RemissionStore>;

  beforeEach(() => {
    const mockRemissionReturnReceiptService = {
      fetchReturn: jest.fn(),
    };

    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      providers: [
        RemissionStore,
        {
          provide: RemissionReturnReceiptService,
          useValue: mockRemissionReturnReceiptService,
        },
      ],
    });
    store = TestBed.inject(RemissionStore);
  });

  it('should create an instance of RemissionStore', () => {
    expect(store).toBeTruthy();
  });
});
